<?php

// compteur de page générées
$fp = fopen("magazines/compteur_revues-magazines.txt","r+"); // 1.On ouvre le fichier en lecture/écriture
$nbvisites = fgets($fp,11);    // 2.On récupère le nombre dans le fichier
$nbvisites++;                  // 3.On incrémente le nombre de visites(+1)
fseek($fp,0);                  // 4.On se place en début de fichier
fputs($fp,$nbvisites);         // 5.On écrit dans le fichier le nouveau nb
fclose($fp);                   // 6.On ferme le fichier 

if(isset($_POST['magaid'])) {

$base_journaux = 'http://www.journaux.fr/';

foreach($_POST['magaid'] as $info) {

$url_journaux = $base_journaux . $info[id].'';

list($maga,$erreur) = getInfoMagaJournaux($url_journaux);

if(isset($maga)) {

	echo '<center>';

	// si case center cocher
	if ($info[center] == '1'){
	$center = '<center>';
	$center2 = '</center>';
	$center_ = '[center]';
	$center_2 = '[/center]';
	// sinon
	}else{}

	// si case couleur cocher
	if ($info[selectcolor] == '1'){
	$color1 = '<font color="'.$info['color'].'">';
	$color_1 = '</font>';
	$color2 = '[color='.$info['color'].']';
	$color_2 = '[/color]';
	// sinon
	}else{}

	// si case quote cocher
	if ($info[quote] == '1'){
	$quote = '<div style="width:97%;background-color:#DFDFDF; border:#C1C1C1 3px solid;">';
	$quote2 = '</div>';
	$quote_ = '[quote]';
	$quote_2 = '[/quote]';
	// sinon
	}else{}
	
	// si case lien remerciement cocher
	if ($info[remerci] == '1'){
	$merci = '<div style="padding-left:20px; width:97%;">'.$quote.'<a href="' . $info[remerciement] . '" target="_blank"><img src="'.$url_default.'images/merci.png" alt="" /></a>'.$quote2.'</div><br />';
	$merci2 = $quote_.'[url=' . $info[remerciement] . '][img]'.$url_default.'images/merci.png[/img][/url]'.$quote_2. "\n\n";
	// sinon
	}else{}

	// si case mot de passe cocher
	if ($info[mdp1] == '1'){
	$mdp = '<b>Mot de passe :</b><font color="'.$info['Coloris'].'"> ' . $info[mdp] . '</font><br />';
	$mdp2 = '[b][u]Mot de passe[/u] :[/b] [color='.$info['Coloris'].'][i]' . $info[mdp] . '[/i][/color]'. "\n\n";
	// sinon
	}else{}

	// réécriture des decoupages
	$decoupage1 = '<img src="'.$url_default.'images/decoupage/'.$info[decoupage].'-1.png" />';
	$decoupage2 = '[img]'.$url_default.'images/decoupage/'.$info[decoupage].'-1.png[/img]';

	// réécriture de la langue
	$langue1 = '<img src="'.$url_default.'images/flags/'.$info[langue].'-1.png" />';
	$langue2 = '[img]'.$url_default.'images/flags/'.$info[langue].'-1.png[/img]';

	// réécriture des hébergeur
	$heberg1 = '<img src="'.$url_default.'images/heberg/'.$info[tag].'.png" />';
	$heberg2 = '[img]'.$url_default.'images/heberg/'.$info[tag].'.png[/img]';

	// réécriture des formats
	$format1 = '<img src="'.$url_default.'images/format-book/'.$info[format].'.png" />';
	$format2 = '[img]'.$url_default.'images/format-book/'.$info[format].'.png[/img]';

	echo $center.'<font size="4" color="red"><b>..::  '.$maga['titre'].' ::..</b></font><br /><br />';

	echo '<img src="'.$maga['image'].'"  /><br /><br />';

	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/info_magazine.png" /><br /><br />';

	echo '<div style="padding-left:20px; width:97%;">';
	echo $color1.'<b>Numéro :</b>'.$maga['edition'].'<br />';
	echo '<b>Date de parution :</b>'.$maga['date'].'';
	echo '<b>Nombre de pages :</b> '.$info[nbpages].'<br />';
	echo '<b>Résolution :</b> '.$info[resolution].'<br />';
	echo '<b>Famille :</b>'.$maga['famille'].'<br />'.$color_1;
	echo '</div><br />';

	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/detail_magazine.png" /><br /><br />';

	echo $color1.'<i>'.$maga['description'].'</i><br /><br />'.$color_1;

	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/up_magazine.png" /><br /><br />';

	// formatage de la taille et nbre de fichier

	// Calcul et affichage de l'unité
	$info[calcul1] = $info[nbfichiers] * $info[taillefichiers];
	// Affiche si le champ nbfichiers2 est rempli
	if (empty ($info['nbfichiers2']) ) 
	{}else{ 
	$total2 = ' et ' . $info[nbfichiers2] . ' x ' . $info[taillefichiers2] . '&nbsp;Mo';
	$info[calcul2] = $info[nbfichiers2] * $info[taillefichiers2];}
	// Calcul total du UP
	$info[tailletotale] = $info[calcul1] + $info[calcul2];
	// Fonction pour Afficher Ko, Mo ou Go
	if
		($info[tailletotale] < 1 ){
		$info[tailletotales] = ($info[tailletotale]*1024);
		$info[affichage] = number_format($info[tailletotales], 0, ",", " ");
		$info[unites] = $info[affichage]." Ko";}
		elseif
		($info[tailletotale] >= 1024 ){
		$info[tailletotales] = ($info[tailletotale]/1024);
		$info[affichage] = number_format($info[tailletotales], 2, ",", " ");
		$info[unites] = $info[affichage]." Go";}
		elseif
		($info[tailletotale] <= 999 ){
		$info[tailletotales] = ($info[tailletotale]*1);
		$info[affichage] = number_format($info[tailletotales], 2, ",", " ");
		$info[unites] = $info[affichage]." Mo";}
		else{}

	// fin du formatage de la taille et nbre de fichier

	echo '<div style="padding-left:20px; width:97%;">';
	echo $color1.'<b>Hébergeur :</b>'.$heberg1.'<br /><br />';
	echo '<b>Uploader :</b> '.$info[uploader].'<br /><br />';
	echo '<b>Info sur la release :</b> '.$info[inforelease].'<br /><br />';
	echo '<b>Format :</b> '.$format1.'<br /><br />';
	echo '<b>Langue :</b> '.$langue1.'<br /><br />';
	echo '<b>Découpage :</b> '.$decoupage1.'<br />';
	echo '<br />';
	echo '<b><u>Nombre de fichiers et tailles</u> :</b> <i>' . $info[nbfichiers] . ' x ' . $info[taillefichiers] . '&nbsp;Mo'.$total2.'</i><br />';
	echo '<br />';
	echo '<font color="red"><b><u>Taille totale</u> :</b></font> <i>'.$info[unites].'</i><br /><br />'.$color_1;
        echo '</div><br />';  

	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/dl_magazine.png" /><br /><br />';

	echo '<div style="padding-left:20px; width:95%;">
	      <div style="background-color:transparent; border:#0066FF 1px dashed">';

	// reecriture des url	  
	$lien = explode ("\n",$info[lien]);

    // si case hide cocher
	if ($info[hide] == '1'){

	$hide = '<DL class=hidebox><DT class=unhide>HIDE: ON<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.''.trim($link).'<br>'.$quote2;
    }
	$hide .= '</DD></DL>';
	// sinon
	}else{
	$hide = '<DL class=hidebox><DT class=hide>HIDE: OFF<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.''.trim($link).'<br>'.$quote2;
	}
	$hide .= '</DD></DL>';
	}

	echo $hide;

	echo '</div></div><br /><div style="padding-left:20px; width:97%;">';
	echo $color1.'<b>Mot de passe :</b> ' . $info[mdp] . '<br>'.$color_1;
	echo '</div><br />';

		$total += $info[tailletotale];
	echo '<div style="padding-left:20px; width:97%;">';
	echo '<font color="red"><b>Total du post:</b> ' . $total . ',00 Mo</font><br />';
	echo '</div><br />';
	echo $merci;
	echo '<div style="padding-left:20px; width:97%;">';
	echo '<b><a href="'.$url_default.'index.php"><img src="'.$url_default.'images/generateur.png" alt="'.$team.'" /></a></b>';
	echo '</div>'.$center2;

	echo '</center>';

// BBCode pour PhpBB & PunBB 
echo '<br /><br />';
echo '<p class="titre" style="margin: 0px 0px 0px 10px;"><img src="images/fleche.gif" alt="fleche" width="31" height="12" />BBCode à coller dans votre message</p>';
echo '<center>';
echo '<fieldset class="fieldset">';
echo '<legend class="legend"><b>PhpBB, PunBB, IPB & VBULLETIN Section Magazines</b></legend><center>';
echo '<input name="texttag" type="text" id="texttag" value="' . $maga['titre'] . '" size="70" onclick="this.select()" /><br /><br />';
echo '<textarea name="textpost" cols="85" rows="10" onclick="this.select()">';

	echo $center_.'[color=red][b]..::  ' . $maga['titre'] . '  ::..[/b][/color]'."\n\n";

	echo '[img]' . $maga['image'] . '[/img]'."\n\n";

	echo '[img]'.$url_default.'img_cat/'.$info['style'].'/info_magazine.png[/img]'."\n\n";

	echo $color2.'[b][u]Numéro[/u] : [/b]'.$maga['editionbbcode'].' ' ."\n";
	echo '[b][u]Date de parution[/u] : [/b]'.$maga['datebbcode'].'';
	echo '[b][u]Nombre de pages[/u] : [/b] [i]' . $info[nbpages] . '[/i]' ."\n";
    	echo '[b][u]Résolution[/u] : [/b] [i]' . $info[resolution] . '[/i]' ."\n";
	echo '[b][u]Famille[/u] : [/b] '.$maga['famillebbcode'].'' .$color_2."\n\n";

	echo '[img]'.$url_default.'img_cat/'.$info['style'].'/detail_magazine.png[/img]'."\n\n";

	echo $color2.'[i]' .$maga['descriptionb'] . '[/i]' .$color_2."\n\n";

    	echo '[img]'.$url_default.'img_cat/'.$info['style'].'/up_magazine.png[/img]'."\n\n";

	echo $color2.'[b][u]Hébergeur[/u] : [/b] [i]' . $heberg2. '[/i]' ."\n\n";
	echo '[b][u]Uploader[/u] : [/b] [i]' . $info[uploader] . '[/i]' ."\n\n";
	echo '[b][u]Info sur la release[/u] :[/b] [i]'.$info[inforelease].'[/i]'. "\n\n";
	echo '[b][u]Format[/u] : [/b] ' . $format2. '' ."\n";
	echo '[b][u]Langue[/u] : [/b] ' . $langue2. '' ."\n";
	echo '[b][u]Découper avec[/u] : [/b] [i]'.$decoupage2.'[/i]' ."\n\n";
        echo '[b][u]Nombre de fichiers et tailles[/u] : [/b] [i]'.$info[nbfichiers].' x '.$info[taillefichiers].' Mo '.$total2.'[/i]' ."\n\n";
	echo '[color=red][b]Total totale:[/b][/color] [i]'.$info[unites].'[/i]'.$color_2. "\n\n";

	echo '[img]'.$url_default.'img_cat/'.$info['style'].'/dl_ebook.png[/img]'."\n\n";

	// reecriture des url
	$liens = explode ("\n",$info[lien]);

    // si case hide cocher
	if ($info[hide] == '1'){ 

	$hides = '[hide]'."\n";
	foreach ($liens as $links) {
	$hides .= $quote_.''.trim($links).'' .$quote_2."\n";
	}
	$hides .= '[/hide]'."\n";
    // sinon
	}else{
    foreach ($liens as $links) {

	$hides .= $quote_.''.trim($links).'' .$quote_2."\n";
	}
	$hides .= "\n";
	}

	echo $hides."\n";

	echo $color2.'[b][u]Mot de pass[/u] : [/b] [i]' . $info[mdp] . '[/i]'.$color_2."\n\n";
                echo '[color=red]Total du post: ' . $total . ',00 Mo[/color]'."\n\n";
	echo $merci2;
	echo '[url='.$url_default.'index.php][img]'.$url_default.'images/generateur.png[/img][/url]'.$center_2;

echo '</textarea></center>';
echo '</fieldset>';
echo '</center>';

echo '<center>';
echo '<fieldset class="fieldset">';
echo '<legend class="legend"><b>HTML & Blog Section Magazines</b></legend><center>';
echo '<input name="texttag" type="text" id="texttag" value="' . $maga['titre'] . '" size="70" onclick="this.select()" /><br /><br />';
echo '<textarea name="textpost" cols="85" rows="10" onclick="this.select()">';

	echo $center.'<font size="4" color="red"><b>..::  '.$maga['titre'].' ::..</b></font><br /><br />';

	echo '<img src="'.$maga['image'].'"  /><br /><br />';

	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/info_magazine.png" /><br /><br />';

	echo '<div style="padding-left:20px; width:97%;">';
	echo $color1.'<b>Numéro :</b>'.$maga['edition'].'<br />';
	echo '<b>Date de parution :</b>'.$maga['date'].'';
	echo '<b>Nombre de pages :</b> '.$info[nbpages].'<br />';
	echo '<b>Résolution :</b> '.$info[resolution].'<br />';
	echo '<b>Famille :</b>'.$maga['famille'].'<br />'.$color_1;
	echo '</div><br />';

	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/detail_magazine.png" /><br /><br />';

	echo $color1.'<i>'.$maga['description'].'</i><br /><br />'.$color_1;

	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/up_magazine.png" /><br /><br />';

	echo '<div style="padding-left:20px; width:97%;">';
	echo $color1.'<b>Hébergeur :</b>'.$heberg1.'<br /><br />';
	echo '<b>Uploader :</b> '.$info[uploader].'<br /><br />';
	echo '<b>Info sur la release :</b> '.$info[inforelease].'<br /><br />';
	echo '<b>Format :</b> '.$format1.'<br /><br />';
	echo '<b>Langue :</b> '.$langue1.'<br /><br />';
	echo '<b>Découpage :</b> '.$decoupage1.'<br />';
	echo '<br />';
	echo '<b><u>Nombre de fichiers et tailles</u> :</b> <i>' . $info[nbfichiers] . ' x ' . $info[taillefichiers] . '&nbsp;Mo'.$total2.'</i><br />';
	echo '<br />';
	echo '<font color="red"><b><u>Taille totale</u> :</b></font> <i>'.$info[unites].'</i><br /><br />'.$color_1;
        echo '</div><br />';  

	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/dl_magazine.png" /><br /><br />';

	echo '<div style="padding-left:20px; width:95%;">
	      <div style="background-color:transparent; border:#0066FF 1px dashed">';

	// reecriture des url	  
	$lien = explode ("\n",$info[lien]);

    // si case hide cocher
	if ($info[hide] == '1'){

	$hide = '<DL class=hidebox><DT class=unhide>HIDE: ON<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.''.trim($link).'<br>'.$quote2;
    }
	$hide .= '</DD></DL>';
	// sinon
	}else{
	$hide = '<DL class=hidebox><DT class=hide>HIDE: OFF<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.''.trim($link).'<br>'.$quote2;
	}
	$hide .= '</DD></DL>';
	}

	echo $hide;

	echo '</div></div><br /><div style="padding-left:20px; width:97%;">';
	echo $color1.'<b>Mot de passe :</b> ' . $info[mdp] . '<br>'.$color_1;
	echo '</div><br />';

		$total5 += $info[tailletotale];
	echo '<div style="padding-left:20px; width:97%;">';
	echo '<font color="red"><b>Total du post:</b> ' . $total5 . ',00 Mo</font><br />';
	echo '</div><br />';
	echo $merci;
	echo '<div style="padding-left:20px; width:97%;">';
	echo '<b><a href="'.$url_default.'index.php"><img src="'.$url_default.'images/generateur.png" alt="'.$team.'" /></a></b>';
	echo '</div>'.$center2;

echo '</textarea></center>';
echo '</fieldset>';
echo '</center>';

}

}
}else{ 
echo '<meta http-equiv="refresh" content="1; url='.$PHP_SELF.'?page=magazines" />';

}

?>